#!/bin/sh
DEBCHANGELOG=debian/changelog
if test ! -f $DEBCHANGELOG; then
	echo "$DEBCHANGELOG missing"
	echo "The current directory should be base source of package"
	exit 1
fi
l=`head -1 $DEBCHANGELOG`
PROD=`echo $l|sed 's/ .*//g'`
DEB_VERSION=`echo $l|sed 's/.*(//g'|sed 's/).*//g'`
echo "VERSION=$DEB_VERSION"
MAJOR=`echo $DEB_VERSION|sed 's/-.*//g'`
echo "MAJOR=$MAJOR"
MINOR=`echo $DEB_VERSION|sed 's/.*-//g'`
echo "MINOR=$MINOR"

. ./IDMETA

if [ "$VERSION" != "$MAJOR" ] ; then
	echo "$VERSION != $MAJOR"
	exit 1;
fi
# Local Variables:
# mode:shell-script
# sh-indentation: 2
# sh-basic-offset: 8
# End:
